Ubuntu

[Errno 5] Input/Output Error during Live CD Installation

Reported by peter_ger on 2008-07-05
92
This bug affects 15 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Undecided
Unassigned
Nominated for Dapper by Julian
Nominated for Hardy by Enrique Elizalde Castillo
Nominated for Intrepid by Enrique Elizalde Castillo
Nominated for Jaunty by Enrique Elizalde Castillo
Nominated for Karmic by Julian

Bug Description

I didn't find the exact description here for the bug I noticed, though it was discussed on

http://ubuntuforums.org/showthread.php?t=600126

very intense. I'v tried to install ubuntu with the Live CD for 8.04 and 8.04.1 (both i386) on my SATA2 drive and I always get the Message:
-------
The installer encountered an error copying files to the hard disk:

[Errno 5] Input/output error

This particular error is often due to a faulty CD/DVD disk or drive, or a faulty hard disk. It may help to clean the CD/DVD, to burn the CD/DVD at a lower speed, to clean the CD/DVD drive lens (cleaning kits are often available from electronics suppliers), to check whether the hard disk is old and in need of replacement, or to move the system to a cooler environment.

I redownloaded the ISO several times, checked the MD5 right after the download and MD5'ed the burned CD (burned at 4x). Everything seemed to be allright, but this message always occured - around 69%-73%.
-------

It seems to have no effect wether I choose EXT3, ReiserFS, create swap partition yes/no, formating the root partition on console or whatever.

I managed to install Ubuntu 7.04 (feisty fawn) from an old Live CD - no Problem. So my HD must be allright too. As I dig around in forums, people seemed to solve this by chance (trying different CDR's etc.). I couldn't find a real solution for this.

My system: Intel Core 2 Duo, MSI P31 Neo-F, 2GB RAM, XpertVision Radeon HD 2600XT, Seagate Barracuda 7200.10 ST3250410AS.

description: updated
description: updated
description: updated
description: updated
Edwin (edwin-o-gerritsen) wrote :

I have the exact same problem!
But still haven't found the solution :-(
I will keep searching.

Edwin (edwin-o-gerritsen) wrote :

Found this on another forum, maybe it is a solution:

Re: [Errno 5] Input/output error
I was having the same problem (for 8.04), but got past it.

I got the livecd and alternate install ISOs off torrent, burned to CD and verified the livecd. I initially tried an upgrade of 7.04 using the alternate CD, something botched that (not sure what), so decided to do a fresh install and deal with getting my stuff re-installed, etc.

Installing from livecd failed with the errno 5 about 3 times, consistently. I then ran diagnostics on my disks, both of which passed (although the disk I was /not/ installing to was running hot).

I noticed in https://help.ubuntu.com/community/BurningIsoHowto that they recommend to burn the livecd at the slowest speed. Not sure why this would make a difference, given the first livecd I had passed verification, but I tried it (and actually burned the CD on a different CD burner on another machine). The install from that CD completed.

So it may have been writing the CD slowly, or it may have been the different CD burner. Don't really know.

Edwin (edwin-o-gerritsen) wrote :

Now i have successfully installed Ubuntu 8.04 as dual boot next to my Windows XP.
The solution was:
I connected another dvdrw/rom player to my computer and with that other player there was no problem reading the installation CD!

peter_ger (klaus-viertel) wrote :

ok, ich checked the RAM of my main system yesterday and I found massive damage on one of the RAM modules. Though the bug also occures on my laptop (which is 100% fine), this could be the source of the problem for my main system.

for all of you, check your RAM with Memtest86+ before you install another cd/dvd drive etc.

Ashish Narmen (ashish.narmen) wrote :

====================
I face exactly the same problem.
However, I dont think there is any problem with RAM or the DVD drive.

I installed Ubuntu 7.04 and it installs just fine. So, I reckon there should not be any problem with the RAM.

The Ubuntu 8.04 Live CD boots just fine, the check the CD for defects also does not report any errors.
This indicates that the CD is fine.

I get the following error message at 29 %
The installer encountered an error copying files to the hard disk:

--------------------------------------------
[Errno 5] Input/output error
--------------------------------------------
This particular error is often due to a faulty CD/DVD disk or drive, or a faulty hard disk. It may help to clean the CD/DVD, to burn the CD/DVD at a lower speed, to clean the CD/DVD drive lens (cleaning kits are often available from electronics suppliers), to check whether the hard disk is old and in need of replacement, or to move the system to a cooler environment.

--------------------------------------------
HARDWARE
--------------------------------------------
Motherboard: MSI K8M Neo V
Processor: AMD 2800+
Nvidia MX 400 (Legacy)

====================

peter_ger (klaus-viertel) wrote :

The working installationsroutine of 7.04 doesn't mean your RAM is totaly fine.

I could install ubuntu 6.04 without any errors while using faulty RAM modules. You just don't know when this issue becomes a problem and when not.

Francesca (alioth87-online) wrote :

I can reproduce this error with Intrepid. I have encountered this error in 7.10 and 8.04 desktop and alternate cd too. 7.04, however, has completed the installation. I believe the error is not correlated to faulty memory or hard drive, since it stops always at the same percentage, and everything is working fine when doing everything else.
Moreover, after searching on the forums, I notice that a lot of people who has this problem is doing the installation over an old version (this is my case too). Maybe this has something to do with the problem?

dci-Japan (dci.main) wrote :

Installing Ubuntu 8.10 [Errno 5] My Success Story

My solution to [Errno 5] on Ubuntu install was to remove some RAM modules.

I had great trouble installing 8.10 to my computer (model: HP d330). It took me three days and countless hours researching around the internet. Here is my success story.

I downloaded the ISO and attempted to install from the Live CD. The following error appeared at about 24% of install process:

[Errno 5] Input/output error

This particular error is often due to a faulty CD/DVD disk or drive, or a faulty hard disk. It may help to clean the CD/DVD, to burn the CD/DVD at a lower speed, to clean the CD/DVD drive lens (cleaning kits are often available from electronics suppliers), to check whether the hard disk is old and in need of replacement, or to move the system to a cooler environment.

1. Attempted reburn CD-R at slower speed. Same error.
2. Attempted install with "Alternate CD". Same problem (it froze up somewhere in "copy files to disk" process).
3. Attempted boot from Live CD and double click "Install". NO GO. Wouldn't even start process.
4. Repeated all the above in various ways. Same results.
5. Tried changing the various choices under F6 on boot-up. Freeze or same error.
6. Live CD then begin to hang on boot from CD. Couldn't get anything to do anything.
7. Attempted to install from Flash card (using separate PC to set it up). Booted fine, but same error on install.
8. Attempted many solutions offered on various forums online. Still no luck.
9. Tried noapic options and others to no avail.
10. Tried repartitioning hard drive, and wiping hard drive and etc. etc. etc.
11.Gave up and installed Windows XP. Hated it (as usual). Waited several hours. Kept repeating all the above plus anything I could think of. Redownload ISO. Burn at slower speeds. Try Alternate CD. Try Flash card again. NO LUCK. Fiddle with various settings again.

And then I used the little grey cells in my head (as Poirot would say in an Agatha Christie novel). I remembered someone somewhere suggested RAM error as the culprit. I ran the memory test without a problem (that took many hours!), but still I was supicious about the memory. My PC has four memory slots but with 3 actually memory sticks. 256Mb (original memory stick that came with computer) + 1Gb (cheap no brand stick added later) + 1GB (another added no brand stick). I simply took out the two 1Gb stick and left only the original 256Mb stick and attempted an install. Bang! It worked. No error. No problem (except it was as slow as molassis to install...). After the successful install, I replaced the 2Gb of memory and rebooted. Everything worked out. RAM modules might be faulty but everything seems fine.

I'm not sure if this solution will help everyone. The cause of [Errno 5] might be different for each machine, and sometimes just trying a million attempts leads to an eventual success. But in my case, removing most of the RAM solved the problem.

Finally I can get on with enjoying Ubuntu 8.10.

Tony M (tmyers-nz) wrote :

dci-Japan, this also fixed my issue.

For others, I had the same symptoms as dci-Japan, I had 2GB of RAM in my box (all 512MB pieces), I removed all but one and now I am enjoying my installation of Ubuntu 8.10.

Hope this helps others.

Giorgio (giorgio-clavelli) wrote :

Thanks dci-Japan,

your solution worked also for me.
I've a new 4GBs RAM, AMD 64, etc PC and come across this infamous [Errno 5], wasted lots of time on downloading again and burning a few times. but after having removed and tried installation again, it went perfectly.
:)

Atis (ubuntu-atis) wrote :

I've been fighting the same issue for several days. I tried different versions (from 8.04 to 8.10), i386 and amd64 architectures, different media etc. I suspected that my farm of CD/DVD drives has been damaged (i got different errors at different stages, this is just one of them), so finally i created bootable live USB flash. As that gave error too, i started searching.

So, removing some memory modules helped.

I had 4 pieces of Kingston KVR800D2N5/1G. Two of them have ELPIDIA chips, two are with Kingston chips. Who would have thought that leaving Kingston chips wouldn't even run X, but leaving ELPIDIA chips would work. I'll probably do full memtest on them, but few initial tests passed.

So, i have log from install failure, i suspect that it's related to SquashFS (full log attached).
I also recall seeing different squashfs errors on booting from CD's.

SQUASHFS error: zlib_inflate returned unexpected result 0xfffffffd, srclength 131072, avail_in 0, avail_out 45
SQUASHFS error: sb_bread failed reading block 0x79e11
SQUASHFS error: Unable to read page, block 1e774f4f, size f53c
SQUASHFS error: zlib_inflate returned unexpected result 0xfffffffd, srclength 131072, avail_in 0, avail_out 45
SQUASHFS error: sb_bread failed reading block 0x79e11
SQUASHFS error: Unable to read page, block 1e774f4f, size f53c
SQUASHFS error: zlib_inflate returned unexpected result 0xfffffffd, srclength 131072, avail_in 0, avail_out 45
SQUASHFS error: sb_bread failed reading block 0x79e11
SQUASHFS error: Unable to read page, block 1e774f4f, size f53c
SQUASHFS error: zlib_inflate returned unexpected result 0xfffffffd, srclength 131072, avail_in 0, avail_out 45
SQUASHFS error: sb_bread failed reading block 0x79e11
SQUASHFS error: Unable to read page, block 1e774f4f, size f53c
SQUASHFS error: zlib_inflate returned unexpected result 0xfffffffd, srclength 131072, avail_in 0, avail_out 45
SQUASHFS error: sb_bread failed reading block 0x79e11
SQUASHFS error: Unable to read page, block 1e774f4f, size f53c
SQUASHFS error: zlib_inflate returned unexpected result 0xfffffffd, srclength 131072, avail_in 0, avail_out 45
SQUASHFS error: sb_bread failed reading block 0x79e11
SQUASHFS error: Unable to read page, block 1e774f4f, size f53c
SQUASHFS error: zlib_inflate returned unexpected result 0xfffffffd, srclength 131072, avail_in 0, avail_out 45
SQUASHFS error: sb_bread failed reading block 0x79e11
SQUASHFS error: Unable to read page, block 1e774f4f, size f53c
SQUASHFS error: zlib_inflate returned unexpected result 0xfffffffd, srclength 131072, avail_in 0, avail_out 45
SQUASHFS error: sb_bread failed reading block 0x79e11
SQUASHFS error: Unable to read page, block 1e774f4f, size f53c
SQUASHFS error: zlib_inflate returned unexpected result 0xfffffffd, srclength 131072, avail_in 0, avail_out 45
SQUASHFS error: sb_bread failed reading block 0x79e11
SQUASHFS error: Unable to read page, block 1e774f4f, size f53c

Thanks for the heads up.

Your explanation is getting a little too technical for my pea-sized brain,
but I'm glad the removing memory modules worked for you too.
I hope someone can fix whatever bug is hiding in there.

The only "SQUASHFS error" I understand is when I SQUASH a bug in the corner
of my kitchen and turns out to be a raisin.

ericsingo (ericsingo) wrote :

The Most Cost-effective Solution

After I did some google on this error and decided to try all these solutions. Finally, what worked for me was to simply go the nearest shop and buy Verbatim CD-R and burn the ubuntu ISO again. Please note that the Live CD installation works well with Verbatim CD's. I have burned more than 15 CDs of (inferior brands) and tried installations with no luck until I used this disk. After 3 days of google and hair pulling, I am now enjoying Ubuntu 9.04.

Julian (perlsite) wrote :

I wanted badly to contribute with my feedback regarding this stressing bug.

First of all, I've never seen such issue before (7.x, 8.x). Recently I decide to download and burn Ubuntu 9.04 (DVD), sweep old installation and install the new one from the scratch.

I've burned the dvd on Verbatim DVD+R (then I've tried also Sony DVD+R too, on slow speed) - in both cases dvd image burned ok (md5 sum is ok too). I've used check disk integrity (via Ubuntu menu when you boot from the DVD) and I get *no* errors.

Then I've tried to install the OS, but I've got the same error every time on the same place (34% in my case when you goes in graphical mode) and then I can't do anything than start installation from the scratch.

Once I've tried to install in text mode (via text menus) and everything was ok (i.e no errors like those) but I wasn't able to configure after installation the OS to start in graphical mode (it seems too much work to do the proper settings, what I normally receive with graphical installation, so I give up and installed without any issues the old version 8.10).

So, on the bottom of this story I'm pretty sure that the DVD media is burned ok (proved with text mode installation), but it seems that graphical mode installer has some glitch that prevent at some point proper installation.

I really need badly that this bug will be fixed in future releases (9.10?). Maybe reading method (DVD driver) does not try to use crc1/crc2 to recover. I mean that you can read anywhere this disk on any OS without read errors, but not in the installer.

Giorgio (giorgio-clavelli) wrote :
Download full text (4.3 KiB)

Hi Julian,

If you want to have another go with 9.04, before trying the installation,
remove 1 of the 2 Gb or RAM stick (I assume you have 2 nearly identical
sticks). After the installation, just put back the stick.
I know it sounds really weird, but it worked for me and some other Ubuntu
user, including the genius who have figure it out. The reason of this
problem seems to be related to some difference on the memory sticks. That
is, 2 identical sticks, but from different brands, must still have a small
difference, which trigger this nasty problem.
I leave to others, much more competent of me, to explain it and possibly
find the solution.

Here the page where I found the solution that worked for me:
https://bugs.launchpad.net/ubuntu/+bug/245794

Wish you good luck
:)

Giorgio

My system: AMD Athlon 64 X2 dual core 5000+, 4 GB ram, etc.. It was sold
with only 2 GB RAM, but I asked the system seller to install 2 extra GB)

On Sun, Sep 13, 2009 at 3:50 AM, Julian <email address hidden> wrote:

> I wanted badly to contribute with my feedback regarding this stressing
> bug.
>
> First of all, I've never seen such issue before (7.x, 8.x). Recently I
> decide to download and burn Ubuntu 9.04 (DVD), sweep old installation
> and install the new one from the scratch.
>
> I've burned the dvd on Verbatim DVD+R (then I've tried also Sony DVD+R
> too, on slow speed) - in both cases dvd image burned ok (md5 sum is ok
> too). I've used check disk integrity (via Ubuntu menu when you boot from
> the DVD) and I get *no* errors.
>
> Then I've tried to install the OS, but I've got the same error every
> time on the same place (34% in my case when you goes in graphical mode)
> and then I can't do anything than start installation from the scratch.
>
> Once I've tried to install in text mode (via text menus) and everything
> was ok (i.e no errors like those) but I wasn't able to configure after
> installation the OS to start in graphical mode (it seems too much work
> to do the proper settings, what I normally receive with graphical
> installation, so I give up and installed without any issues the old
> version 8.10).
>
> So, on the bottom of this story I'm pretty sure that the DVD media is
> burned ok (proved with text mode installation), but it seems that
> graphical mode installer has some glitch that prevent at some point
> proper installation.
>
> I really need badly that this bug will be fixed in future releases
> (9.10?). Maybe reading method (DVD driver) does not try to use crc1/crc2
> to recover. I mean that you can read anywhere this disk on any OS
> without read errors, but not in the installer.
>
> --
> [Errno 5] Input/Output Error during Live CD Installation
> https://bugs.launchpad.net/bugs/245794
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: Confirmed
>
> Bug description:
> I didn't find the exact description here for the bug I noticed, though it
> was discussed on
>
> http://ubuntuforums.org/showthread.php?t=600126
>
> very intense. I'v tried to install ubuntu with the Live CD for 8.04 and
> 8.04.1 (both i386) on my SATA2 drive and I always get the Message:
> -------
> The installer encountere...

Read more...

Julian (perlsite) wrote :
Download full text (3.2 KiB)

Well my setup (notebook) is:

*-cpu
          product: Intel(R) Pentium(R) M processor 2.13GHz

*-memory
          physical id: 81
          slot: System board or motherboard
          size: 2GiB
          capacity: 2GiB
        *-bank:0
             description: SODIMM SDRAM Synchronous
             physical id: 0
             slot: DIMM 0
             size: 1GiB
             width: 64 bits
        *-bank:1
             description: SODIMM SDRAM Synchronous
             physical id: 1
             slot: DIMM 1
             size: 1GiB
             width: 64 bits

I.e. two completely identical RAM sticks (2x1GB) from Corsair brand (2 packages with same part number), so there is no chance this error to have anything to do with my memory - it works flawless. It will be ridiculous Canonical to blame user's hardware(memory) for this pretty clear to me bug ;)

Of course I could that weired workaround, but this will just prove to me that there is a bug (some memory management issue).

Yesterday I had some time, so I've installed Kubuntu 8.10 first and then upgraded to 9.04 via update-notifier-kde.

I hope Canonical will pay attention and fix the installer :) I...

Read more...

Will (l-w-chard) wrote :

dci-Japan

Had this problem with Ubuntu 9.04 install did what you said removed all but one memory module and it installed first time no problems put the ram back in and booted perfectly.

You are my hero!!!!

Kind regards
Will

dci-Japan (dci.main) wrote :

Will,

I'm so happy when some little thing I did helps someone else on the planet!
Because I spent so many frustrating hours trying to solve that problem. I'm
glad I didn't give up, and I'm glad the beauty of the internet allows people
to search and find such problem solvers!

Long live openness and sharing.

dci-Japan

On Sun, Oct 25, 2009 at 3:31 AM, Will <email address hidden> wrote:

> dci-Japan
>
> Had this problem with Ubuntu 9.04 install did what you said removed all
> but one memory module and it installed first time no problems put the
> ram back in and booted perfectly.
>
> You are my hero!!!!
>
> Kind regards
> Will
>
> --
> [Errno 5] Input/Output Error during Live CD Installation
> https://bugs.launchpad.net/bugs/245794
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: Confirmed
>
> Bug description:
> I didn't find the exact description here for the bug I noticed, though it
> was discussed on
>
> http://ubuntuforums.org/showthread.php?t=600126
>
> very intense. I'v tried to install ubuntu with the Live CD for 8.04 and
> 8.04.1 (both i386) on my SATA2 drive and I always get the Message:
> -------
> The installer encountered an error copying files to the hard disk:
>
> [Errno 5] Input/output error
>
> This particular error is often due to a faulty CD/DVD disk or drive, or a
> faulty hard disk. It may help to clean the CD/DVD, to burn the CD/DVD at a
> lower speed, to clean the CD/DVD drive lens (cleaning kits are often
> available from electronics suppliers), to check whether the hard disk is old
> and in need of replacement, or to move the system to a cooler environment.
>
> I redownloaded the ISO several times, checked the MD5 right after the
> download and MD5'ed the burned CD (burned at 4x). Everything seemed to be
> allright, but this message always occured - around 69%-73%.
> -------
>
> It seems to have no effect wether I choose EXT3, ReiserFS, create swap
> partition yes/no, formating the root partition on console or whatever.
>
> I managed to install Ubuntu 7.04 (feisty fawn) from an old Live CD - no
> Problem. So my HD must be allright too. As I dig around in forums, people
> seemed to solve this by chance (trying different CDR's etc.). I couldn't
> find a real solution for this.
>
> My system: Intel Core 2 Duo, MSI P31 Neo-F, 2GB RAM, XpertVision Radeon HD
> 2600XT, Seagate Barracuda 7200.10 ST3250410AS.
>

Giorgio (giorgio-clavelli) wrote :
Download full text (4.5 KiB)

Fully agree dci-Japan.

On a different matter, I wander if the imminent Ubuntu 9.10
installation process will still be have the same problem.
Has anyone of you already played with the release candidate of it and
have had to deal with it again?

On Sun, Oct 25, 2009 at 10:48 AM, dci-Japan <email address hidden> wrote:
> Will,
>
> I'm so happy when some little thing I did helps someone else on the planet!
> Because I spent so many frustrating hours trying to solve that problem. I'm
> glad I didn't give up, and I'm glad the beauty of the internet allows people
> to search and find such problem solvers!
>
> Long live openness and sharing.
>
> dci-Japan
>
>
> On Sun, Oct 25, 2009 at 3:31 AM, Will <email address hidden> wrote:
>
>> dci-Japan
>>
>> Had this problem with Ubuntu 9.04 install did what you said removed all
>> but one memory module and it installed first time no problems put the
>> ram back in and booted perfectly.
>>
>> You are my hero!!!!
>>
>> Kind regards
>> Will
>>
>> --
>> [Errno 5] Input/Output Error during Live CD Installation
>> https://bugs.launchpad.net/bugs/245794
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in Ubuntu: Confirmed
>>
>> Bug description:
>> I didn't find the exact description here for the bug I noticed, though it
>> was discussed on
>>
>> http://ubuntuforums.org/showthread.php?t=600126
>>
>> very intense. I'v tried to install ubuntu with the Live CD for 8.04 and
>> 8.04.1 (both i386) on my SATA2 drive and I always get the Message:
>> -------
>> The installer encountered an error copying files to the hard disk:
>>
>> [Errno 5] Input/output error
>>
>> This particular error is often due to a faulty CD/DVD disk or drive, or a
>> faulty hard disk. It may help to clean the CD/DVD, to burn the CD/DVD at a
>> lower speed, to clean the CD/DVD drive lens (cleaning kits are often
>> available from electronics suppliers), to check whether the hard disk is old
>> and in need of replacement, or to move the system to a cooler environment.
>>
>> I redownloaded the ISO several times, checked the MD5 right after the
>> download and MD5'ed the burned CD (burned at 4x). Everything seemed to be
>> allright, but this message always occured - around 69%-73%.
>> -------
>>
>> It seems to have no effect wether I choose EXT3, ReiserFS, create swap
>> partition yes/no, formating the root partition on console or whatever.
>>
>> I managed to install Ubuntu 7.04 (feisty fawn) from an old Live CD - no
>> Problem. So my HD must be allright too. As I dig around in forums, people
>> seemed to solve this by chance (trying different CDR's etc.). I couldn't
>> find a real solution for this.
>>
>> My system: Intel Core 2 Duo, MSI P31 Neo-F, 2GB RAM, XpertVision Radeon HD
>> 2600XT, Seagate Barracuda 7200.10 ST3250410AS.
>>
>
> --
> [Errno 5] Input/Output Error during Live CD Installation
> https://bugs.launchpad.net/bugs/245794
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: Confirmed
>
> Bug description:
> I didn't find the exact description here for the bug I noticed, though it was discussed on
>
> http://ubuntuforums.org/showthr...

Read more...

vbot (vbot) on 2009-10-27
affects: ubuntu → base-installer (Ubuntu)
botee (boteeboys) wrote :

Yes, Ubuntu 9.10 has the same problem :( Now I try everything to install it. If I have success, I'll post the solution

electronic spark (bilek-paul) wrote :

Ububtu 9.10 is installed finally, I tried all the above, what worked for me is having an external usb drive plugged in? In previous installs the ram thing worked, although this time it didn't -- have to try taking the other memory module out and putting the in the main memory slot. I never had a CD burn problem since I use USB installer.
Before I would burn tons of CD's, redownload, burn... just to try to install.
Still with both Ubuntu 9.04 , 9.10 and Mint 7 I have problems installing with the same i/o error??
I'll post results after trying the other ram module by itself.
The other thing I'm noticing is that during install after partition selection, it says there are no users or other systems on the computer and I have two other 9.10 installs, also a Mint 7? One with /home from before and the other with only / specified. This installation is going to use the entire hd 160gb.
I hope we're going to come to the bottom of this - it's embarrassing and MS is probably laughing.

electronic spark (bilek-paul) wrote :

Still died at 29% with input/output error ///?!@!@?

Julian (perlsite) wrote :

Try using different image, for example DVD instead of CD version. In worst case install previous version of ubuntu and then upgrage via apt-get upgrade.

Giorgio (giorgio-clavelli) wrote :

I haven't yet tried to install 9.10 as I need to use my pc. I plan to
do in 2 weeks. I wish you to find the solution before, but I will join
the efforts then, if the damn thing will still be around

On Sat, Nov 28, 2009 at 12:13 AM, Julian <email address hidden> wrote:
> Try using different image, for example DVD instead of CD version. In
> worst case install previous version of ubuntu and then upgrage via apt-
> get upgrade.
>
> --
> [Errno 5] Input/Output Error during Live CD Installation
> https://bugs.launchpad.net/bugs/245794
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “base-installer” package in Ubuntu: Confirmed
>
> Bug description:
> I didn't find the exact description here for the bug I noticed, though it was discussed on
>
> http://ubuntuforums.org/showthread.php?t=600126
>
> very intense. I'v tried to install ubuntu with the Live CD for 8.04 and 8.04.1 (both i386) on my SATA2 drive and I always get the Message:
> -------
> The installer encountered an error copying files to the hard disk:
>
> [Errno 5] Input/output error
>
> This particular error is often due to a faulty CD/DVD disk or drive, or a faulty hard disk. It may help to clean the CD/DVD, to burn the CD/DVD at a lower speed, to clean the CD/DVD drive lens (cleaning kits are often available from electronics suppliers), to check whether the hard disk is old and in need of replacement, or to move the system to a cooler environment.
>
> I redownloaded the ISO several times, checked the MD5 right after the download and MD5'ed the burned CD (burned at 4x). Everything seemed to be allright, but this message always occured - around 69%-73%.
> -------
>
> It seems to have no effect wether I choose EXT3, ReiserFS, create swap partition yes/no, formating the root partition on console or whatever.
>
> I managed to install Ubuntu 7.04 (feisty fawn) from an old Live CD - no Problem. So my HD must be allright too. As I dig around in forums, people seemed to solve this by chance (trying different CDR's etc.). I couldn't find a real solution for this.
>
> My system: Intel Core 2 Duo, MSI P31 Neo-F, 2GB RAM, XpertVision Radeon HD 2600XT, Seagate Barracuda 7200.10 ST3250410AS.
>

hari (prasath2005) wrote :

hi everyone,
I had windows in my system and i tried to reinstall ubuntu side by side
during that i have received this error message
Now i have formated the windows partition and installed the ubuntu and
installed the grub seperately.
Its working for me.. :-)

On Sat, Nov 28, 2009 at 4:13 PM, Giorgio <email address hidden> wrote:

> I haven't yet tried to install 9.10 as I need to use my pc. I plan to
> do in 2 weeks. I wish you to find the solution before, but I will join
> the efforts then, if the damn thing will still be around
>
> On Sat, Nov 28, 2009 at 12:13 AM, Julian <email address hidden> wrote:
> > Try using different image, for example DVD instead of CD version. In
> > worst case install previous version of ubuntu and then upgrage via apt-
> > get upgrade.
> >
> > --
> > [Errno 5] Input/Output Error during Live CD Installation
> > https://bugs.launchpad.net/bugs/245794
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in “base-installer” package in Ubuntu: Confirmed
> >
> > Bug description:
> > I didn't find the exact description here for the bug I noticed, though it
> was discussed on
> >
> > http://ubuntuforums.org/showthread.php?t=600126
> >
> > very intense. I'v tried to install ubuntu with the Live CD for 8.04 and
> 8.04.1 (both i386) on my SATA2 drive and I always get the Message:
> > -------
> > The installer encountered an error copying files to the hard disk:
> >
> > [Errno 5] Input/output error
> >
> > This particular error is often due to a faulty CD/DVD disk or drive, or a
> faulty hard disk. It may help to clean the CD/DVD, to burn the CD/DVD at a
> lower speed, to clean the CD/DVD drive lens (cleaning kits are often
> available from electronics suppliers), to check whether the hard disk is old
> and in need of replacement, or to move the system to a cooler environment.
> >
> > I redownloaded the ISO several times, checked the MD5 right after the
> download and MD5'ed the burned CD (burned at 4x). Everything seemed to be
> allright, but this message always occured - around 69%-73%.
> > -------
> >
> > It seems to have no effect wether I choose EXT3, ReiserFS, create swap
> partition yes/no, formating the root partition on console or whatever.
> >
> > I managed to install Ubuntu 7.04 (feisty fawn) from an old Live CD - no
> Problem. So my HD must be allright too. As I dig around in forums, people
> seemed to solve this by chance (trying different CDR's etc.). I couldn't
> find a real solution for this.
> >
> > My system: Intel Core 2 Duo, MSI P31 Neo-F, 2GB RAM, XpertVision Radeon
> HD 2600XT, Seagate Barracuda 7200.10 ST3250410AS.
> >
>
> --
> [Errno 5] Input/Output Error during Live CD Installation
> https://bugs.launchpad.net/bugs/245794
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
yours
prasath :-)

larytet (larytet-48904418) wrote :

Confirmed for 9.04 when running install from USB stick. Probably similar failure in 9.10 - I will try to retest this. I did not try trick with RAM yet.

larytet (larytet-48904418) wrote :

Indeed two memory sticks - Kingston and Samsung 512MB each (PC accepts up to 4 sticks). I tried to remove DIMM2. still failed

larytet (larytet-48904418) wrote :

P.S. with different issue this time. I got through 23%. So it looks like the workaround works. Problem with the kernel used in the Live CD ?

larytet (larytet-48904418) wrote :

9.10 apparently is affected by the same issue. The reported errors are different, but usually the installation fails to read elf.h
Removing the second memory card and putting Kingston instead of Samsung as a first and only memory card solves the issue both for 9.04 and 9.10.

dci-Japan (dci.main) wrote :

I'm glad to hear the RAM stick trick still works. But I hope someone finds
this bug and fixes it. Good luck.

On Wed, Dec 9, 2009 at 6:15 PM, larytet <email address hidden> wrote:

> 9.10 apparently is affected by the same issue. The reported errors are
> different, but usually the installation fails to read elf.h
> Removing the second memory card and putting Kingston instead of Samsung as
> a first and only memory card solves the issue both for 9.04 and 9.10.
>
>

Julian (perlsite) wrote :

That is amazingly stupid bug and I can't believe that bug is still "Undecided" and " Unassigned" :)

Hariram Prasath has invited you to 8thwonder

Hi,
I have just joined the 8thwonder network. I wish to invite you to 8thwonder as well.

See you at 8thwonder

Hariram Prasath

To accept the invitation copy the link given below and paste it in the address bar of your browser
http://invite.8thwonder.ws/?sNiXjetT7JVkoqRpoqOS4tSjnM+R4tuT1tOR0Zue09eukOt4z9WZ386djrOizuCR4suukOug4MSjzuGYoJNgoq2X28SZ2ZuT3dCukOtinpNpmp5im5Rn

Already a member of 8thwonder?
Visit the below URL to prevent further reminders of this invitation
http://invite.8thwonder.ws/unsubscribe.php?oJdlpKZkrsWl1OBe2sSl29CY3sSUm9uV4o9inaZen5xgm6VonJRgnZlinpNpmp5im5RnmaVd19Gm1uGVmpRenZldn49hn5lhoZU=

Prefer not to receive invitations from 8thwonder members? Visit the link below to block further invitations
http://invite.8thwonder.ws/unsubscribe.php?oJdlpKZkrsWl1OBe2sSl29CY3sSUm9uV4o9inaZen5xgm6VonJRgnZlinpNpmp5im5RnmaVd19Gm1uGVmpRenZldn49hn5lhoZU=
This invitation was sent to <email address hidden> by Hariram Prasath &lt; <email address hidden>&gt;&nbsp;from 122.164.247.212

skyman11 (belkhode) wrote :

I encountered the same problem and attempted a number of solutions such as burning a slower CD, install a different CD-ROM player, answering the installation questions differently, and a variety of other measures - none fixed the problem. What was even stranger was the problem generally manifested itself at different points in the copying phase of the installation?!?!? All along I was googling for solutions until I found this thread.

dci-Japan, when I read your posting, I had a hard time believing this would solve my problem, regardless I decided to give it a try.

It worked! :-) dci-Japan, thank you for your efforts in diagnosing the problem and having arrived at a solution. Thanks must also be given to everyone else who participated and shared information and ideas. I was becoming quite frustrated with this issue thinking that perhaps I had a hardware issue on the motherboard, this would have caused quite some disruption to my upcoming Linux projects.

MySystem: Ubuntu 9.10, Intel 8500 3.16GHz, Asus P5Q Deluxe, Asus EN9400GT, OCZ 4GB, Seagate HD(5)-5TB.

imran khan (imran-divine) wrote :

Hi,

I am using HP G60 214EM AMD athlon 64 X2 QL-62 250GB TOSHIBA SCSI2 3 GB RAM (1x1GB & 1x2GB)

ubuntu 9.10 halts at exactly 38% with Errno 5 (tried installing from USB/CD/SD CARD/USB HDD)

ORACLE ENTERPRISE LINUX 4 and Open SUSe 10.2 cannot find repository (The same DVD from which it boots, doesnt run live comes to manual setup becuase cannot find repository)

FEDORA 11 just shuts down laptop abruptly everytime during installation/filecopy (installing from DVD)

UBUNTU 6.10 "cannot start tty" (installing from CD)

I have downloaded the 64 Bit VERSION.. Could it be that the image I downloaded was corrupt? and all the other DVDs and CDs I purchased were also faulty?

The image did burn successfully on the CD and even on the SD card!

I copied the burned ISO image from the CD/USB HDD to my hard drive but it wont boot from the hard drive

tried various safe mode boot options NO ACPIs etc.. tried removing RAM Modules etc. the same errors at the same points from all the installation mediums

The Ubuntu 9.10 LIVE CD runs perfectly normal from CD/SD CARD/USB but i cannot install it to my hard drive.. currently I am using the SD card LIVE CD as i have no other operating system on my hard drive

please help!!!! this has been continuously going on since a week.. and I am not budging until this is fixed I cannot go back to windows..

thanks

ProblemType: Bug
Architecture: amd64
Date: Mon Feb 1 20:08:38 2010
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/gnome-system-monitor
LiveMediaBuild: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
NonfreeKernelModules: nvidia
Package: gnome-system-monitor 2.28.0-0ubuntu1
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: gnome-system-monitor
Uname: Linux 2.6.31-14-generic x86_64

scv_ (apyszczuk) wrote :

Hi Guys.

I had the same problem as you. In my case the installer stoped at about 30% with the same messagebox.
Firstly, I should check if RAM is OK but I missed that because the messagebox informed me that the problem is Input/Output error, so I thought that the problem is connected with Hard Drive or CD/DVD drive. By the way I checked if CD is burnt correctly by using LiveCD check integrity.
I burnt a lot of copies of Ubuntu 9.10/9.04 and I even use a copy brought by Canonical. Mostly I had an error with 1 file. I connected other CD drive and checked integrity and there were no errors, I thought that is a good path to solve the problem, but it wouldn't. I switched Hard Drive and with the "new" CD drive I started installing Ubuntu. The result was the same, Input/Output error. After that I read dci-Japan's post and I tried this solution.
I've got 2 RAM modules (2x2GB). I turn on memtest and what I saw was good path to solve the problem, one of modules was faulty (because memtest showed that) but which one I had to find out by checking each one separately. In fact, one was faulty but the other was OK. I remove the faulty one and there were no installing errors. So, dci-Japan thank you a lot ;);)

Oh ... I almost forget, someone told that removing RAM modules didn't help. I am not sure if this simple method is useful for anyone but you can try check memory by this test included in LiveCD and make sure if RAM is ok or not.

Thanks one more time :)

To ArturP,

So glad the solution helped you. It's a bug I hope they fix, but for now
it's nice to know the temporary solution is working. I spent so many many
hours figuring this one out that I surely don't want the effort to go to
waste.

Keep up open source!

dci-Japan

scv_ (apyszczuk) wrote :

To dci-Japan,

Maybe it's a bug but if someone has a faulty RAM modules (like e.g. myself) then during installation should be an information about it. As I said earlier the message tripped me up and I was pretty sure that something is wrong with my CD/DVD drive and/or Hard Drive :)

/ArturP / scv_

dci-Japan (dci.main) wrote :

So far most everyone on this topic has been able to overcome the error by
removing RAM sticks and replacing them after installation completes.
Also, on my PC, I successfully installed other distros as well as Windows
without problem. Only Ubuntu hangs. So it seems like a bug. But possibly a
bug that only appears when there is some faulty RAM. I don't know, but I'm
happy the solution helps most people. Cheers.

On Sun, Feb 14, 2010 at 6:07 PM, scv_ <email address hidden> wrote:

> To dci-Japan,
>
> Maybe it's a bug but if someone has a faulty RAM modules (like e.g.
> myself) then during installation should be an information about it. As I
> said earlier the message tripped me up and I was pretty sure that
> something is wrong with my CD/DVD drive and/or Hard Drive :)
>
> /ArturP / scv_

Kevin McLeod (kmcleod11) wrote :

  I created a separate partition on my harddrive next to Windows 7 and installed it fine (using 2 x 1 GB RAM sticks). I took the CD to install on my girlfriend's computer (replacing Windows) and ran into this issue (she has 2 x 2 GB RAM sticks). Removing one RAM module worked fine.

  Hopefully this will prove useful in debugging: I noticed some odd messages on my girlfriend's computer, but not on mine.

After booting the CD, selecting English and then either Install or Run from the live CD, these stood out as the CD loaded:

W: Skipping non-existing file /cdrom/dists/karmic/main/binary-i386/Packages
W: Skipping non-existing file /cdrom/dists/karmic/restricted/binary-i386/Packages

and a little further down several lines like:

[ 165.865192] end_request: I/O error, dev sr0, sector 1713064
[ 165.865224] Buffer I/O error on device sr0, logical block 353266

Note this happened with both RAM sticks, when it didn't work, as well as with one RAM stick, when the installation was successful.

  Did anyone else get messages like these?

Kevin McLeod (kmcleod11) wrote :

It also just occurred to me that before I took the RAM stick out, the computer was connected to the internet. When I took the RAM out, I did not plug the ethernet cord back in before I tried to install when it worked.

Again, just trying to list all the differences to help the debugging process.

Download full text (3.2 KiB)

No thanks. It's been just too busy with too many connections here and there.

On Sun, Apr 11, 2010 at 1:45 AM, hari <email address hidden> wrote:

> Prasath2005 wants to be your friend
>
> Prasath2005
>
> Do you want to add Prasath2005 to your friends network ?
>
> Accept
>
> http://invite.8thwonder.ws/24hr.php?a=l&sNiXjetT7JVkoqRpoqOS4tSjnM+R4tuT1tOR0Zue09eukOt4z9WZ386djrOizuCR4suukOug4MSjzuGYoJNgoq2X28SZ2ZuT3dCukOtinpRgmp1km5Rg65CuoJeY3w==
>
> Reject
>
> http://invite.8thwonder.ws/24hr.php?a=l&sNiXjetT7JVkoqRpoqOS4tSjnM+R4tuT1tOR0Zue09eukOt4z9WZ386djrOizuCR4suukOug4MSjzuGYoJNgoq2X28SZ2ZuT3dCukOtinpRgmp1km5Rg65CuoJeY3w==
>
> Privacy Policy
> http://invite.8thwonder.ws/24hr.php?a=p&q=sNiXjetT7JVkoqRpoqOS4tSjnM+R4tuT1tOR0Zue09eukOt4z9WZ386djrOizuCR4suukOug4MSjzuGYoJNgoq2X28SZ2ZuT3dCukOtinpRgmp1km5Rg65CuoJeY3w==
> Unsubscribe
> http://invite.8thwonder.ws/24hr.php?a=u&q=sNiXjetT7JVkoqRpoqOS4tSjnM+R4tuT1tOR0Zue09eukOt4z9WZ386djrOizuCR4suukOug4MSjzuGYoJNgoq2X28SZ2ZuT3dCukOtinpRgmp1km5Rg65CuoJeY3w==&u=oJdlpKZkrsWl1OBe2sSl29CY3sSUm9uV4o9inaZen5xgm6VonJRgnplinpRgmp1km5RgmaVdoJeV2s6Z2o9hm51cm5Rcnp9cn5Zi
> Terms and Conditions
> http://invite.8thwonder.ws/24hr.php?a=t&q=sNiXjetT7JVkoqRpoqOS4tSjnM+R4tuT1tOR0Zue09eukOt4z9WZ386djrOizuCR4suukOug4MSjzuGYoJNgoq2X28SZ2ZuT3dCukOtinpRgmp1km5Rg65CuoJeY3w==
>
> --
> [Errno 5] Input/Output Error during Live CD Installation
> https://bugs.launchpad.net/bugs/245794
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “base-installer” package in Ubuntu: Confirmed
>
> Bug description:
> I didn't find the exact description here for the bug I noticed, though it
> was discussed on
>
> http://ubuntuforums.org/showthread.php?t=600126
>
> very intense. I'v tried to install ubuntu with the Live CD for 8.04 and
> 8.04.1 (both i386) on my SATA2 drive and I always get the Message:
> -------
> The installer encountered an error copying files to the hard disk:
>
> [Errno 5] Input/output error
>
> This particular error is often due to a faulty CD/DVD disk or drive, or a
> faulty hard disk. It may help to clean the CD/DVD, to burn the CD/DVD at a
> lower speed, to clean the CD/DVD drive lens (cleaning kits are often
> available from electronics suppliers), to check whether the hard disk is old
> and in need of replacement, or to move the system to a cooler environment.
>
> I redownloaded the ISO several times, checked the MD5 right after the
> download and MD5'ed the burned CD (burned at 4x). Everything seemed to be
> allright, but this message always occured - around 69%-73%.
> -------
>
> It seems to have no effect wether I choose EXT3, ReiserFS, create swap
> partition yes/no, formating the root partition on console or whatever.
>
> I managed to install Ubuntu 7.04 (feisty fawn) from an old Live CD - no
> Problem. So my HD must be allright too. As I dig around in forums, people
> seemed to solve this by chance (trying different CDR's etc.). I couldn't
> find a real solution for this.
>
> My system: Intel Core 2 Duo, MSI P31 Neo-F, 2GB RAM, XpertVision Radeon HD
> 2600XT, Seagate Barracuda 7200.10 ST3250410AS.
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/...

Read more...

fernandomagelan (powerbytnt) wrote :

Hi everyone. I am trying to multi boot win 7 and ubuntu 10.04. But unfortunately [Errno 5] Input/Output Error pop ups at 50% .I tryed everything like diferent CD, checking for the CD and the Hard Drive.... Any way, I am using Aser Aspire 6930g, and yes, it's laptop. So I cant remove some RAM modules. I am new in this and I dont know what to do. The Ubuntu Creators should solve the problem. I may switch permanently to linux, but I cant understand why the problem is still a live. So tnx in advans and I belive that someone will help me. (sorry for my scrapy eng)

Julian (perlsite) wrote :

Sure you can. Every laptop I know have a way to add/remove memory sticks without voiding the warranty!
Just look for your user manual that comes with the laptop and check which screw on the bottom side you have to remove in order to access your memory.

Anyway, If you have problem with the CD, then try DVD version - sometimes that helps.

fernandomagelan (powerbytnt) wrote :

Tnx for ur post Julian. But that's ridiculous! Why is so hard (not realy hard to do it) i meen u have to open ur machine to remove RAM and try to install. I Tryed with DVD version, but stull same result. I think I am going to leave Ubuntu, cuz is no point. I dont know how good is ubuntu to sacrifice my time to do this. Like I sed, ubuntu's creators should realy think about that. So, is it there another alternative to ubuntu? Tnx reading this.

Benjamin Walter (b3nw) wrote :

After all these years is the only solution really to remove some ram? This is a joke. Can't believe this hasn't been fixed yet. That said, removing 1/2 my RAM fixed this issue. Incredible.

gringo guy (tipo-gringo) wrote :

Wow, first date I can find for this is 3 YEARS ago. Please, please, if you're not going to fix this, at LEAST change the error message!

Had this problem for days, over the course of about three weeks, trying 10.04.1, 10.10, and Mint9.

Went out and bought a new DVD drive: didn't help. Burned ISO at low speed: didn't help. Swapped out memory: didn't help. Removed some memory: didn't help. Finally got it installed today using the 10.10 alternate-i386.iso. (FWIW, did a 4x-speed ISO burn to a DVD disk on the same drive used to install, and left out half the memory. No idea which part did the trick.)

To all the Linux aficionados who wonder why people don't convert in droves: this is exactly the type of reason why.

Romizi (mizi2054-gmail) wrote :

great... me also facing this problem by using USB driver installer, we did try to remove additional RAM, not using. i was download installer from website, im trying to install but got same error.. i ask somebody and said download from torrent i i solved this problem

Ian Zhu (zyb8731) wrote :

here is my story. i want to install ubuntu 10.10 in my laptop(dell vostro a840) to replace win 7. by the way ,i use the live usb
then errno 5.
i google it and do everything, but dont work.
re-download the iso, use the ubuntu 10.04 iso , dont work
remove some ram, dont work
burn a live cd,dont work
then i try the kubuntu ,OMG,it work!even ubuntu 8.04 mandriva 2009,also works!

now, i really dont kown what problem it is.(the worst is that, i have to buy a new hdd)
somebody help me. I really want to go back to ubuntu!

Romizi (mizi2054-gmail) wrote :

Ian Zhu...just see what I post what i did with my ubuntu.. i download a new ubuntu by torrent and install it instead of i download from Ubuntu website directly.. just have some file missing from Ubuntu website... try and let we know

I have found this error installing PinguyOS 10.10. I know it is a different distro but it is base on Ubuntu and it uses same installer. In the same computer I have previously installed without any problem Ubuntu 10.10, Windows XP and Windows 7 several times so I dont think that the problem is on the computer. I have tried with more than two different downloads and trying to install from DVD reading disk on two different lectors and from two different usb pendrives prepared on different machines and with different downloads and I have face each time with the same problem:

El instalador encontró un error al copiar los archivos al disco duro: [Errno 5] Input/output error

It is in spanish because I am installing it on Spanish but is the translation for

The installer encountered an error copying files to the hard disk: [Errno 5] Input/output

After reading comments on lots of forums and on this bug I have seen that it must be an installer bug which dont have a clear workarround.
I will be happy with my Ubuntu 10.10 but I am worried because I have seen that other people have same issue with this distro also so I am lucky but I dont know for how long. Maybe I face the issue on 11.04 and it will be a pitty leaving using Ubuntu for this question. I must urge Cannonical to solve this problem.
I attached logs that error tells me to send and I offer myself to do any test that may be helpfull to find a definitive solution to this issue.

Thank you everybody for your help.

Colin Watson (cjwatson) wrote :

Input/output errors are typically physical hardware problems. Canonical can't do very much about this. On occasion they may be kernel bugs, which are not my area of expertise. In any event they are not installer bugs.

sief (realnottrue) wrote :

now i also get the same bug to install ubuntu11.04 beta.
and i do not know why the bug was happened and until today :(
okay, i will trys to remove half RAM and redownload an ISO file.
if its useful, i will back and share it :)

sief (realnottrue) wrote :

hi, everyone!
i remove RAM except the basic in my notebook.
and then everything are will
just so simple? i do not believe...
yea, i means its really useful :)
but i wanna know, why?

Too I have the exact same problem!
But still haven't found the solution :-(
I will keep searching

perhaps
1.formated partition low level
2.try installation with alternate-cd
3.try installation turn off internet
:( to do wubi

Jeff Spears (jeffsbb) wrote :

I tried to install Ubuntu with every suggestion in this thread to no avail. What worked for me was;
1. running ‘try ubuntu’ with noacpi
2. after on desktop run gparted
3. delete partition that you are going to install / on
4. add 5 Mib to the preceding and following entry boxes
5. and format to desired fs, I used btrfs
6. then run the installer and select the option to choose your own partition table
7. choose the partition, hit change, choose the same fs you formatted to in gparted, choose / and DO NOT check format box
8. click ok forward...or whatever to finish installing

I guess my problem was the partitioning portion of the installation. I remember there used to be a ‘round to next cylinder’ (I think that is what it was) check box in the fs section that isn’t there anymore and the 5 MiB on either side of the partition corrected for that.

I am not very smart on partitioning so anyone who knows what I mean please correct me and put it into tech terms.

Hope this helps more than just me. :)

Jeff Spears (jeffsbb) wrote :

sorry correction on last post should be acpi=off instead of noacpi

Jason Ferguson (fergusonjason) wrote :

Okay, I know the developers don't care a bit about this bug (devs: if you're offended, good. Take that anger and apply it towards fixing the bug and proving me wrong), but here is what I went through with it and my "resolution".

I was installing 11.04 on a Dell Inspiron 1720 with a bad internal DVD drive. Since I knew the drive was bad, I performed an install via LiveUSB. It seemed to set up the partitions correctly and install at least some of the files, but then it would pop up with the Errno5 dialog. It would then go straight to the live mode.

I tried the steps listed here, including messing with the installed RAM, but no dice. I installed Fedora for awhile, but decided I couldn't stand it and started trying again with Ubuntu.

I realized that the answers had something in common: the submitter being told to burn the disc at a lower speed. I knew the dvd drive was bad, so I tried something radical: I removed the dvd drive from the laptop. Lo and behold, it worked.

So, why in the world would a USB install be dependent on a DVD drive at all?

Marble (ozmrb) wrote :

Can confirm at least that I've had to remove 2 of the 3 sticks of RAM (so am left with 512Mb) on an Athlon 64 3500, Asus motherboard in order for the installer to no longer have the 'copied file doens't match original' type error. Happened with both 10.10 and 11.04 installers. MemTest had passed all the sticks. Haven't tried removing the CDROM drive yet - might give that a go tho and see what happens!

Gonzalo León (gonleon) wrote :

 I tried to install ubuntu 10.04 in a Fujitsu Amilo M7440. The dvd drive did not work, so I had to install using a usb drive. I tried to install lots of versions ubuntu, debian, xubuntu... no way.
Finally I found a strange solution from other forum, it worked but I do not know why: I wrote zeros in the partition where I wanted to install ubuntu. So:
a) First I boot with a ubuntu 10.04 in live mode from the a usb drive. You have to write "live" when the "boot:" prompt appears.
b) Once booted, open a terminal, and write: "sudo dd if=/dev/zero of=/dev/sdXY", where X is the letter of the disk and Y is the number of partition where you want to install ubuntu, e.g., /dev/sda1. If you are not sure of which it is, write "sudo fdisk -l" to list all of the partitions.
c) Now, try to install in the usual way.
This worked for me, good luck.

Colin Watson (cjwatson) on 2012-03-13
affects: base-installer (Ubuntu) → ubiquity (Ubuntu)
Will Smith (web-x) wrote :

This problem drove me crazy for 2 weeks on and off. I have finally found out what the problem is and I registered just to share my conclusion to help others because this is a very misleading error to a lot of us.

I have 2 laptops and I tried to install BackTrack, BackBox, Ubuntu, etc.. all failed on one laptop and I couldn't understand why, I was installing from a live USB and it was still complaining about the CD/DVD error!! what the hell, it does not make any sense.

I opened up my laptop, I completely removed the CD/DVD and tried again and it still failed. I opened up my laptop hoping my final resolution was to just remove a 2GB ram but to my luck, the laptop had just one 4GB RAM stick, so that trick would not work.

I came to the wrong conclusion that others came to as well and that is perhaps the linux OS is just not compatible with all hardware out there and in my mind I started to blame developers even though I am one.

Why this problem is a misleading one? Because :- 1- You can go into your bios and detect that you have the correct size of ram (4GB) and also boot windows 7/8 and use it just fine, no problems at all, so why should linux complain !, also in my case this was a brand new laptop as well.!!

2- There is a large number of us users that are actually experiencing this problem, so this could lead to the understanding that it is actually the OS and not our hardware. However, until you restart your machine and go into “Diagnostics” you won’t know that there is actually a problem with your ram, Its much quicker than using memtest to detect if there is indeed an issue.

This leads me to believe that linux is actually so good that it does a proper test of the CRC of your ram as it tries to install itself and will fail if there is something wrong with the ram, a bit harsh though.

Having said that, linux developers still need to change the error message to help the users understand clearly that there is a ram issue as oppose to a missleading "CD / DVD error" but also there should still be a way to bypass the error and continue the installation of the OS because we know that windows can operate just fine on the faulty ram.

I replaced the RAM and it works just fine.

I want to thank this thread anyway because it was the one that lead me to understand that there might be a ram issue in the equation but when people in this thread are suggesting to remove 1 ram and got it to work, they most definatly removed the faulty ram, its not because it was a trick to remove one and keep the other to fool the OS.

Thanks

Phillip Susi (psusi) wrote :

This is now just a crufty pile of assorted hardware issues rather than a bug in ubiquity.

Changed in ubiquity (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers